Memos
User Service

List User Settings

ListUserSettings returns a list of user settings.

GET
/api/v1/users/{user}/settings

Path Parameters

user*string

The user id.

Query Parameters

pageSize?integer

Optional. The maximum number of settings to return. The service may return fewer than this value. If unspecified, at most 50 settings will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

Formatint32
pageToken?string

Optional. A page token, received from a previous ListUserSettings call. Provide this to retrieve the subsequent page.

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/users/string/settings"
{
  "settings": [
    {
      "name": "string",
      "generalSetting": {
        "locale": "string",
        "memoVisibility": "string",
        "theme": "string"
      },
      "webhooksSetting": {
        "webhooks": [
          {
            "name": "string",
            "url": "string",
            "displayName": "string",
            "createTime": "2019-08-24T14:15:22Z",
            "updateTime": "2019-08-24T14:15:22Z"
          }
        ]
      }
    }
  ],
  "nextPageToken": "string",
  "totalSize": 0
}
{
  "code": 0,
  "message": "string",
  "details": [
    {
      "@type": "string"
    }
  ]
}

On this page

No Headings